# Hai murphy module

#     return (k_kinetic, N_cT, K_C, W) kinetic parameters, constraints, and vector of volumes in each
# compartment (pL) (1 if gating variable, or in element corresponding to
# kappa)

import numpy as np 

def kinetic_parameters(M, include_type2_reactions, dims, V):
    # Set the kinetic rate constants.

    num_cols = dims['num_cols']
    num_rows = dims['num_rows']

    bigNum = 1e6
    fastKineticConstant = bigNum
    smallReverse = fastKineticConstant/(pow(bigNum,2))

    k1 = 0.55           # [=] 1/mol.s
    k2 = 0.5            # [=] 1/s
    k3 = 0.4            # [=] 1/mol.s
    k4 = 0.1            # [=] 1/s
    k5 = 0.5            # [=] 1/s
    k6 = 0.55           # [=] 1/mol.s
    k7 = 0.01           # [=] 1/mol.s

    # use detailed balance to find k8
    if True:
        k8 = k1*k3*k5*k7/(k2*k4*k6)
    else:
        k8 = smallReverse  # [=] 1/s

    k_kinetic = [
        k1,k3,k5,k7,
        k2,k4,k6,k8
        ]

    # CONSTRAINTS
    N_cT = [] # np.zeros(len(M[0]))
    
    K_C = []

    # volume vector
    W = list(np.append([1] * num_cols, [V['V_myo']] * num_rows))

    return (k_kinetic, [N_cT], K_C, W) 